Subject: Re: How to exchange rerere/redo resolutions?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 14 May 2019 10:21:06 +0200

On Tue, May 14 2019, Philip Oakley wrote:

> Hi All,
>
> On 10/05/2019 15:59, Philip Oakley wrote:
>>> You can publish your merged branch somewhere, and others can use
>>> contrib/rerere-train.sh to learn from the resolution.
>>>
>>> Supposedly, I've never actually used it...
>
> Does the contrib/rerere-train.sh actually work? I'm reading the code
> to ensure I understand what rerere/redo is doing, and in the training
> it tries to detect MERGE_RR via L87
>
>     if test -s "$GIT_DIR/MERGE_RR"
>
> It's not clear if that is an internal implementation detail, or a
> mistaken use of a historic path name. Can anyone enlighten me?

Historic? No, this is path.c now on master:

    path.c:1454:REPO_GIT_PATH_FUNC(merge_rr, "MERGE_RR")

Internal, sure. We don't document it so it could change in theory, but
then we'd probably change rerere-train.sh along with it...

>> The tricky part is when the patch series doesn't apply so the
>> conflict isn't yet on any branch..
> When copying patches across to Git for Windows, the conflict
> resolution can be tricky.